Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • 開発Sitecore Personalize
    • ベースURL
    • レスポンスコード
        • 意思決定モデルの作成
        • 意思決定モデルの取得
        • デシジョンモデルの取得
        • 意思決定モデルの更新
        • デシジョンモデルのリビジョンの取得
        • デシジョンモデルのリビジョンの取得
        • デシジョンモデルのバリアントの取得
  1. 意思決定モデルREST API
  1. REST API
  2. 意思決定モデルREST API
  3. デシジョンモデルのバリアントの取得

デシジョンモデルのバリアントの取得

日本語翻訳に関する免責事項

このページの翻訳はAIによって自動的に行われました。可能な限り正確な翻訳を心掛けていますが、原文と異なる表現や解釈が含まれる場合があります。正確で公式な情報については、必ず英語の原文をご参照ください。

GET /v2/decisionModelDefinitions/{:placeholder-token:}<decisionModelRef>{/:placeholder-token:}/variants

ディシジョンモデルのすべてのバリアントを取得します。

属性

種類

形容

例

{:placeholder-token:}decisionModelRef{/:placeholder-token:}

糸

デシジョンモデルの参照。

決定モデル参照がわからない場合は、まず 決定モデルを取得します。

865ce079-6012-4f97-bc46-07215691a178

レスポンスでは、refキーにデシジョンモデルバリアント参照が含まれています。

curl -X GET '<baseURL>/v2/decisionModelDefinitions/db6ee91d-bc02-4e83-8621-a17aee09814d/variants' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'
{  
   "href":"<baseURL>/v2/decisionModelDefinitions/db6ee91d-bc02-4e83-8621-a17aee09814d/variants",
   "items":[  
      {  
         "clientKey":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
         "href":"<baseURL>/v2/decisionModelVariants/2e5c1db3-7ed5-420a-a50a-0fa46067906a",
         "ref":"2e5c1db3-7ed5-420a-a50a-0fa46067906a",
         "name":"promoting upgrades",
         "modifiedByUserRef":"25f46901-bc51-45e8-b587-148aecf1e48f",
         "modifiedAt":"2025-09-20T16:54:23.589Z",
         "revision":3,
         "archived":false,
         "decisionModelDefinitionRef":"db6ee91d-bc02-4e83-8621-a17aee09814d",
         "definition":"<definitions xmlns=\"http://www.omg.org/spec/DMN/20151101/dmn.xsd\" id=\"definitions\" name=\"definitions\" namespace=\"http://camunda.org/schema/1.0/dmn\" />",
         "revisions":{  
            "href":"<baseURL>/v2/decisionModelVariants/2e5c1db3-7ed5-420a-a50a-0fa46067906a/revisions"
         },
         "inProduction":true
      },
      {  
         "clientKey":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
         "href":"<baseURL>/v2/decisionModelVariants/38f0a6a2-c7c6-4fa5-bb53-06469dc8e133",
         "ref":"38f0a6a2-c7c6-4fa5-bb53-06469dc8e133",
         "name":"20% discount",
         "modifiedByUserRef":"25f46901-bc51-45e8-b587-148aecf1e48f",
         "modifiedAt":"2025-09-20T16:54:15.450Z",
         "revision":4,
         "archived":false,
         "decisionModelDefinitionRef":"db6ee91d-bc02-4e83-8621-a17aee09814d",
         "definition":"<definitions xmlns=\"http://www.omg.org/spec/DMN/20151101/dmn.xsd\" id=\"definitions\" name=\"definitions\" namespace=\"http://camunda.org/schema/1.0/dmn\" />",
         "revisions":{  
            "href":"<baseURL>/v2/decisionModelVariants/38f0a6a2-c7c6-4fa5-bb53-06469dc8e133/revisions"
         },
         "inProduction":true
      },
      {  
         "clientKey":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
         "href":"<baseURL>/v2/decisionModelVariants/cdc15d08-433f-4698-b76b-04adfe11be4b",
         "ref":"cdc15d08-433f-4698-b76b-04adfe11be4b",
         "name":"promoting tours",
         "modifiedByUserRef":"25f46901-bc51-45e8-b587-148aecf1e48f",
         "modifiedAt":"2025-09-20T16:54:51.291Z",
         "revision":4,
         "archived":false,
         "decisionModelDefinitionRef":"db6ee91d-bc02-4e83-8621-a17aee09814d",
         "definition":"<definitions xmlns=\"http://www.omg.org/spec/DMN/20151101/dmn.xsd\" id=\"definitions\" name=\"definitions\" namespace=\"http://camunda.org/schema/1.0/dmn\" />",
         "revisions":{  
            "href":"<baseURL>/v2/decisionModelVariants/cdc15d08-433f-4698-b76b-04adfe11be4b/revisions"
         },
         "inProduction":true
      },
      {  
         "clientKey":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
         "href":"<baseURL>/v2/decisionModelVariants/2a18c317-cd98-4866-b2a8-b36239a3e8bc",
         "ref":"2a18c317-cd98-4866-b2a8-b36239a3e8bc",
         "name":"15% discount",
         "modifiedByUserRef":"25f46901-bc51-45e8-b587-148aecf1e48f",
         "modifiedAt":"2025-09-20T16:53:59.720Z",
         "revision":7,
         "archived":false,
         "decisionModelDefinitionRef":"db6ee91d-bc02-4e83-8621-a17aee09814d",
         "definition":"<definitions xmlns=\"http://www.omg.org/spec/DMN/20151101/dmn.xsd\" id=\"definitions\" name=\"definitions\" namespace=\"http://camunda.org/schema/1.0/dmn\" />",
         "revisions":{  
            "href":"<baseURL>/v2/decisionModelVariants/2a18c317-cd98-4866-b2a8-b36239a3e8bc/revisions"
         },
         "inProduction":true
      }
   ]
}
この記事を改善するための提案がある場合は、 お知らせください!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use